// Copyright 1999-2005 California Institute of Technology. ALL RIGHTS
// RESERVED. U.S. Government Sponsorship acknowledged.

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

class AlbumExpr implements Expr {
	public AlbumExpr(String op, String value) {
		this.op = op;
		this.value = value;
	}
	public Set evaluate() {
		Set tracks = new HashSet();
		if ("EQ".equals(op)) {
			for (Iterator i = DB.ALBUMS.iterator(); i.hasNext();) {
				Album a = (Album) i.next();
				if (a.getName().equals(value))
					tracks.addAll(a.getTracks());
			}
		} else if ("NE".equals(op)) {
			for (Iterator i = DB.ALBUMS.iterator(); i.hasNext();) {
				Album a = (Album) i.next();
				if (!a.getName().equals(value))
					tracks.addAll(a.getTracks());
			}
		} else throw new UnsupportedOperationException("NYI");
		return tracks;
	}
	private String op;
	private String value;
}
